import { RibbonItem } from './../index';
import { RibbonItemType, RibbonItemSize, RibbonItemSettings } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { RibbonItemType, RibbonItemSize, RibbonItemSettings, ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { RibbonItem } from './../index';
export declare class RibbonItemComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<RibbonItem>);
    private eventHandlers;
    nativeElement: RibbonItem;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Determines whether the ribbon item is disabled. */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Determines the label of the ribbon item. */
    get label(): string;
    set label(value: string);
    /** @description Determines the type of the ribbon item. */
    get type(): RibbonItemType | string;
    set type(value: RibbonItemType | string);
    /** @description Determines the template of the ribbon item. Accepts HTMLTemplateElement, an id of an HTMLTemplateElement or a Function. */
    get template(): string;
    set template(value: string);
    /** @description Determines the size of the ribbon item. */
    get size(): RibbonItemSize | string;
    set size(value: RibbonItemSize | string);
    /** @description  */
    get sizeChanged(): any;
    set sizeChanged(value: any);
    /** @description Determines the allowed sizes of the ribbon item. */
    get allowedSizes(): any;
    set allowedSizes(value: any);
    /** @description Determines the icon of the ribbon item. */
    get icon(): string;
    set icon(value: string);
    /** @description Determines the settings of the ribbon item. The settings will be applied as properties if the ribbon item is set to a Smart Element. */
    get settings(): RibbonItemSettings;
    set settings(value: RibbonItemSettings);
    /** @description Determines the class of the ribbon item. */
    get cssClass(): string;
    set cssClass(value: string);
    /** @description Sets a click event handler for the ribbon item. */
    get onItemClick(): any;
    set onItemClick(value: any);
    /** @description Sets a change event handler for the ribbon item. */
    get onItemChange(): any;
    set onItemChange(value: any);
    /** @description Determines the tooltip of the ribbon item. */
    get tooltip(): string;
    set tooltip(value: string);
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RibbonItemComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RibbonItemComponent, "smart-ribbon-item, [smart-ribbon-item]", ["smart-ribbon-item"], { "disabled": "disabled"; "label": "label"; "type": "type"; "template": "template"; "size": "size"; "sizeChanged": "sizeChanged"; "allowedSizes": "allowedSizes"; "icon": "icon"; "settings": "settings"; "cssClass": "cssClass"; "onItemClick": "onItemClick"; "onItemChange": "onItemChange"; "tooltip": "tooltip"; }, {}, never>;
}
